Subject: Bug#1070721: texlive-fonts-extra: Weird dependencies

From: Wesley Schwengle <[email-masked]>
Date: Tue, 07 May 2024 16:54:32 -0400

Package: texlive-fonts-extra
Version: 2023.20240207-1
Severity: normal
X-Debbugs-Cc: [email-masked]

Dear Maintainer,

I was investigating an issue where I had some unicode characters available on
one machine and not on another, which lead me to inspect the dependencies of
texlive-fonts-extra. I find that the dependencies are wrong here.

The package is called texlive-fonts-extra, which should indicate that you
install font packages. I was surpised to see that all the dependencies on other
fonts are "Recommends" and not "Depends". In fact, the only Depends are on
non-font packages: tex-common and texlive-base. While I understand these, these
are would make sense as Recommends, because you can use the font-extra package
just for the fonts it installs.

My bug is therefore: Please Depend on all the font-packages and not Recommend
them. It is odd that I need to install --with-install-recommends on a package
that should install fonts.

texlive-fonts-extra-links for example does this in a way I agree with, it
depends on all of the font packages.

Many thanks,
Wesley

-- System Information:
Debian Release: trixie/sid
  APT prefers unstable
  APT policy: (900, 'unstable'), (500, 'testing'), (100, 'experimental'), (10, 'stable-updates'), (10, 'stable-security'), (10, 'oldstable-security'), (10, 'oldoldstable'), (10, 'stable'), (10, 'oldstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 6.7.9-amd64 (SMP w/8 CPU threads; PREEMPT)
Kernel taint flags: TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages texlive-fonts-extra depends on:
ii  tex-common    6.18
ii  texlive-base  2023.20240207-1

Versions of packages texlive-fonts-extra recommends:
ii  cm-super                       0.3.4-17
ii  fonts-adf-accanthis            0.20190904-2
ii  fonts-adf-berenis              0.20190904-2
ii  fonts-adf-gillius              0.20190904-2
ii  fonts-adf-universalis          0.20190904-2
ii  fonts-cabin                    1.5-3
ii  fonts-cantarell                0.303.1-1
ii  fonts-clear-sans               1.00-2
ii  fonts-comfortaa                3.001-3
ii  fonts-comic-neue               2.51-4
ii  fonts-croscore                 20201225-2
ii  fonts-crosextra-caladea        20200211-2
ii  fonts-crosextra-carlito        20230309-2
ii  fonts-dejavu-core              2.37-8
ii  fonts-dejavu-extra             2.37-8
ii  fonts-ebgaramond-extra         0.016+git20210310.42d4f9f2-1
ii  fonts-font-awesome             5.0.10+really4.7.0~dfsg-4.1
ii  fonts-freefont-otf             20211204+svn4273-2
ii  fonts-freefont-ttf             20211204+svn4273-2
ii  fonts-gfs-artemisia            1.1-6
ii  fonts-gfs-complutum            1.1-7
ii  fonts-gfs-didot                1.1-7
ii  fonts-gfs-neohellenic          1.1-7
ii  fonts-gfs-olga                 1.1-6
ii  fonts-gfs-solomos              1.1-6
ii  fonts-go                       0~20170330-2
ii  fonts-inter                    4.0+ds-1
ii  fonts-lato                     2.015-1
ii  fonts-linuxlibertine           5.3.0-6
ii  fonts-lobstertwo               2.0-2.1
ii  fonts-noto-color-emoji         2.042-1
ii  fonts-noto-core                20201225-2
ii  fonts-noto-mono                20201225-2
ii  fonts-oflb-asana-math          000.907-7
ii  fonts-open-sans                1.11-2
ii  fonts-paratype                 20181108-3
ii  fonts-roboto-slab              1.100263+20170512-2
ii  fonts-roboto-unhinted          2:0~20170802-3
ii  fonts-sil-andika               6.200-1
ii  fonts-sil-charis               6.200-1
ii  fonts-sil-gentium              20081126:1.03-4
ii  fonts-sil-gentium-basic        1.102-1.1
ii  fonts-sil-gentiumplus          6.200-1
ii  fonts-sil-gentiumplus-compact  5.000-4
ii  fonts-stix                     1.1.1-5
ii  texlive-fonts-extra-links      2023.20240207-1
ii  texlive-fonts-recommended      2023.20240207-1
ii  texlive-latex-extra            2023.20240207-1

Versions of packages texlive-fonts-extra suggests:
pn  texlive-fonts-extra-doc  <none>

Versions of packages tex-common depends on:
ii  ucf  3.0043+nmu1

Versions of packages tex-common suggests:
ii  debhelper  13.15.3

Versions of packages texlive-fonts-extra is related to:
ii  tex-common        6.18
ii  texlive-binaries  2023.20230311.66589-9+b2

-- no debconf information